=== WooCommerce MxMerchant Payment Gateway ===


Contributors: Priority
Tags: woocommerce, payment gateway, payment gateways, mxmerchant
Requires at least: 4.4
Tested up to: 4.8
Stable tag: 2.2.0
License: GPLv2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Author URI: https://prioritycommerce.com/


MxMerchant Woocommerce Payment Gateway allows you to accept local and International payment via the MxMerchant Developer API.


== Description ==

This is a custom payment gateway to integrate MxMerchant v3.


= Note =

This plugin is meant to be used by merchants on MxMerchant.

= Plugin Features =

*   __Accept payment__ via MasterCard, Visa and Discover.
* 	__Seamless integration__ into the WooCommerce checkout page.


== Installation ==


= Automatic Installation =
* 	Login to your WordPress Admin area
* 	Go to "Plugins > Add New" from the left hand menu
* 	In the search box type "MxMerchant Woocommerce Payment Gateway"
*	From the search result you will see "MxMerchant Woocommerce Payment Gateway" click on "Install Now" to install the plugin
*	A popup window will ask you to confirm your wish to install the Plugin.


= Note: =
If this is the first time you've installed a WordPress Plugin, you may need to enter the FTP login credential information. If you've installed a Plugin before, it will still have the login information. This information is available through your web server host.

* Click "Proceed" to continue the installation. The resulting installation screen will list the installation as successful or note any problems during the install.
* If successful, click "Activate Plugin" to activate it.
* 	Open the settings page for WooCommerce and click the "Payment Gateways," tab.
* 	Click on the sub tab for "MxMerchant".
*	Configure your "MxMerchant" settings. See below for details.


= Manual Installation =
1. 	Download the plugin zip file
2. 	Login to your WordPress Admin. Click on "Plugins > Add New" from the left hand menu.
3.  Click on the "Upload" option, then click "Choose File" to select the zip file from your computer. Once selected, press "OK" and press the "Install Now" button.
4.  Activate the plugin.
5. 	Open the settings page for WooCommerce and click the "Payment Gateways," tab.
6. 	Click on the sub tab for "MxMerchant".
7.	Configure your "MxMerchant" settings. See below for details.


= Configure the plugin =
To configure the plugin, go to __WooCommerce > Settings__ from the left hand menu, then click "Payment Gateways" from the top tab. You should see __"MxMerchant"__ as an option at the top of the screen. Click on it to configure the payment gateway.

__*You can select the radio button next to MxMerchant from the list of payment gateways available to make it the default gateway.*__

* __Enable/Disable__ - check the box to enable MxMerchant Payment Gateway.
* __Title__ - allows you to determine what your customers will see this payment option as on the checkout page.
* __Description__ - controls the message that appears under the payment fields on the checkout page. Here you can list the types of cards you accept.
* __Sandbox Consumer Key__  - enter your Sandbox Consumer Key here. You will get this in your MxMerchant merchant account settings [MxMerchant](https://sandbox.mxmerchant.com/mx6/settings/apiKeys).
* __Sandbox Secret Key__  - enter your Sandbox Secret Key here. You will get this in your MxMerchant merchant account settings [MxMerchant](https://sandbox.mxmerchant.com/mx6/settings/apiKeys).
* __Live Consumer Key__  - enter your Live Consumer Key here. You will get this in your MxMerchant merchant account settings [MxMerchant](https://sandbox.mxmerchant.com/mx6/settings/apiKeys).
* __Live Secret Key__  - enter your Live Secret Key here. You will get this in your MxMerchant merchant account settings [MxMerchant](https://sandbox.mxmerchant.com/mx6/settings/apiKeys).
* __Test Mode__  - tick to enable test mode.
* Click on __Save Changes__ for the changes you made to be effected.

